summaryrefslogtreecommitdiffstats
path: root/source/n/alpine/alpine.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/alpine/alpine.SlackBuild')
-rwxr-xr-xsource/n/alpine/alpine.SlackBuild39
1 files changed, 27 insertions, 12 deletions
diff --git a/source/n/alpine/alpine.SlackBuild b/source/n/alpine/alpine.SlackBuild
index 9f2a91c87..41e55c4b5 100755
--- a/source/n/alpine/alpine.SlackBuild
+++ b/source/n/alpine/alpine.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,13 +20,17 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=alpine
-VERSION=${VERSION:-2.20}
-ALPINEBUILD=${ALPINEBUILD:-2}
-IMAPDBUILD=${IMAPDBUILD:-2}
+VERSION=${VERSION:-2.21}
+ALPINEBUILD=${ALPINEBUILD:-3}
+IMAPDBUILD=${IMAPDBUILD:-1}
PINEPGP=${PINEPGP:-0.18.0}
+# By default, do not build the unmaintained and possibly insecure impad:
+BUILD_IMAPD=${BUILD_IMAPD:-NO}
+
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -37,10 +41,17 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$ALPINEBUILD.txz"
+ exit 0
+fi
+
# We don't use this below as it breaks the build.
NUMJOBS=${NUMJOBS:-" -j6 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -56,8 +67,8 @@ fi
cd $TMP
rm -rf alpine-${VERSION}
-tar xvf $CWD/alpine-$VERSION.tar.?z* || exit 1
-cd alpine-$VERSION
+tar xvf $CWD/alpine-$VERSION.tar.xz || exit 1
+cd alpine-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -85,7 +96,7 @@ CFLAGS="$SLKCFLAGS" \
--without-tcl \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Correct paths and programs in tech-notes.txt:
( cd doc/tech-notes
@@ -114,7 +125,7 @@ cp -a \
cd $TMP
rm -rf pinepgp-$PINEPGP
tar xvf $CWD/pinepgp-$PINEPGP.tar.gz || exit 1
-cd pinepgp-$PINEPGP
+cd pinepgp-$PINEPGP || exit 1
zcat $CWD/pinepgp-${PINEPGP}-makefile-sed-fix.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/pinepgp.pinegpgp.in.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
@@ -164,16 +175,20 @@ cat $CWD/slack-desc.alpine > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$ALPINEBUILD.txz
+if [ "$BUILD_IMAPD" = "NO" ]; then
+ exit 0
+fi
+
# As is customary, now build a package for the included IMAP and
# POP3 daemons:
PKG2=/tmp/package-imapd
cd $TMP
rm -rf $PKG2
mkdir -p $PKG2
-cd alpine-$VERSION/imap
+cd alpine-$VERSION/imap || exit 1
mkdir -p $PKG2/usr/doc/imapd-$VERSION
cp -a \
- CONTENTS LICENSE.txt NOTICE SUPPORT \
+ CONTENTS LICENSE* NOTICE SUPPORT* \
$PKG2/usr/doc/imapd-$VERSION
cat << EOF > $PKG2/usr/doc/imapd-$VERSION/additional-imap-documentation
Additional documentation for imapd may be found in the alpine